Bug 17516 - Add CSV export option to item search *after* displaying output to screen
Summary: Add CSV export option to item search *after* displaying output to screen
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-27 19:12 UTC by rhilliker
Modified: 2016-12-12 22:32 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17516 - Add CSV export option to item search after displaying output to screen (1.92 KB, patch)
2016-10-31 13:54 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 17516 - Add CSV export option to item search after displaying output to screen (1.98 KB, patch)
2016-11-02 17:35 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 17516 - Add CSV export option to item search after displaying output to screen (2.04 KB, patch)
2016-11-23 09:55 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description rhilliker 2016-10-27 19:12:09 UTC
Currently, if you do an item search, you have to select whether to have the output be "csv" or "screen" on the same page (/cgi-bin/koha/catalogue/itemsearch.pl) as where you input the search parameters.

It would be a useful enhancement to add a button or link to download the csv for folks who choose to output to the screen: then they could check that the results look appropriate before downloading the data.
Comment 1 Nick Clemens 2016-10-31 13:54:05 UTC
Created attachment 56998 [details] [review]
Bug 17516 - Add CSV export option to item search after displaying output to screen

To test:
1 - Perform an item search
2 - Note you now have a link to output to csv
3 - Click that link
4 - Page should not change and you should recieve a csv
5 - Ensure nothing breaks
6 - Sign off
    High five!
Comment 2 Claire Gravely 2016-11-02 17:35:46 UTC
Created attachment 57107 [details] [review]
Bug 17516 - Add CSV export option to item search after displaying output to screen

To test:
1 - Perform an item search
2 - Note you now have a link to output to csv
3 - Click that link
4 - Page should not change and you should recieve a csv
5 - Ensure nothing breaks
6 - Sign off
    High five!

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>
Comment 3 Jonathan Druart 2016-11-23 09:55:01 UTC
Created attachment 57724 [details] [review]
Bug 17516 - Add CSV export option to item search after displaying output to screen

To test:
1 - Perform an item search
2 - Note you now have a link to output to csv
3 - Click that link
4 - Page should not change and you should recieve a csv
5 - Ensure nothing breaks
6 - Sign off
    High five!

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Kyle M Hall 2016-12-09 18:26:22 UTC
Pushed to master for 17.05, thanks Nick!
Comment 5 Katrin Fischer 2016-12-12 22:32:15 UTC
This won't get backported to 16.11.x as it is an enhancement.